%global momorel 6

# Find a free display (resources generation requires X) and sets XDISPLAY
%define init_xdisplay XDISPLAY=2; while [ $XDISPLAY -lt 13 ]; do if [ ! -f /tmp/.X$XDISPLAY-lock ]; then sleep 2s; ( /usr/X11R6/bin/Xvfb -ac :$XDISPLAY >& /dev/null & ); sleep 15s; if [ -f /tmp/.X$XDISPLAY-lock ]; then export DISPLAY=:$XDISPLAY; break ; fi; fi; XDISPLAY=$(($XDISPLAY+1)); done; if [ $DISPLAY -ge 13]; then echo No free display found; exit 1; fi
# The virtual X server PID
%define kill_xdisplay kill $(cat /tmp/.X$XDISPLAY-lock)

Summary: A gtk+1 based diagram creation program
Name: dia

Version: 0.94
Release: %{momorel}m
License: GPL
Group: Applications/Engineering
URL: http://www.gnome.org/projects/dia/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2 63584224912dab49fed8d2cf87ea2d85
# Patch3: dia-0.92.2-uml-association.c.patch
Patch4: dia-0.94-docbook.xsl.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libart_lgpl-devel, libxslt-devel, popt, docbook-utils
BuildRequires: gtk+-devel >= 2.0.0, intltool >= 0.21
BuildRequires: python-devel >= 1.5.2
BuildRequires: libxml2-devel >= 2.3.9
BuildRequires: xorg-x11-Xvfb
BuildRequires: autoconf
BuildPreReq: libtool >= 1.5.10
Requires: python >= 1.5.2

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q
# %%patch3 -p1
%patch4 -p1

%build
%{init_xdisplay}
export DISPLAY=":$XDISPLAY"
autoconf
%configure \
  --enable-shared \
  --disable-static \
  --enable-gnome \
  --enable-debug=no \
  --with-python
%make
%{kill_xdisplay}

%install
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}
%makeinstall
%find_lang %{name}
%__rm -rf %{buildroot}/var/scrollkeeper

desktop-file-install --vendor= --delete-original          \
  --dir %{buildroot}%{_datadir}/applications              \
  --add-category Office                                   \
  %{buildroot}%{_datadir}/applications/dia.desktop

%clean
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS doc
%{_bindir}/dia
%{_libdir}/dia
%{_datadir}/applications/dia.desktop
%{_datadir}/dia
%{_mandir}/man1/dia.1*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/dia

%changelog
* Sat Feb 19 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.94-6m)
- add categories(Office) for desktop file

* Sat Dec 11 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.94-5m)
- BuildPreReq: libtool >= 1.5.10 ("so jya nai" problem)

* Sun Nov 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.94-4m)
- change BuildRequires: xorg-x11-Xvfb

* Sat Nov  6 2004 Kazuhiro Yoshida <moriq@moriq.com>
- (0.94-3m)
- add a patch for fix doc/en/dia.1 (patch4).
- add BuildRequires: XFree86-Xvfb.
- add BuildRequires: autoconf.

* Sun Oct  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.94-2m)
- rebuild against gcc-c++-3.4.2

* Tue Sep  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.94-1m)
- disable uml-association.c.patch temporarily

* Sat May 8 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.93-1m)
- version 0.93

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.92.2-3m)
- rebuild against for libxml2-2.6.8

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.92.2-2m)
- revised spec for enabling rpm 4.2.

* Mon Jan 05 2004 Kenta MURATA <muraken2@nifty.com>
- (0.92.2-1m)
- version 0.92.2.

* Fri Oct 31 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.92.1-1m)
- version 0.92.1

* Thu Oct 30 2003 Kenta MURATA <muraken2@nifty.com>
- (0.91-3m)
- pretty spec file.
- add buildrequres.

* Sun Jun 01 2003 Kenta MURATA <muraken2@nifty.com>
- (0.91-2m)
- do not overlap text and arrow and/or aggregate in association of UML diagram.

* Sun Mar 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.91-1m)
- version 0.91

* Sun Jul 07 2002 Kenta MURATA <muraken2@nifty.com>
- (0.90.0-3m)
- do not overlap text and arrow and/or aggregate in association of UML diagram.
- update fonts.c.

* Fri Jul 05 2002 Kenta MURATA <muraken2@nifty.com>
- (0.90.0-2m)
- version up.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.88.1-14k)
- rebuild against libpng-1.2.2

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (0.88.1-12k)                      
- add BuildPreReq: automake >= 1.5-8k

* Thu Nov 15 2001 Motonobu Ichimura <famao@kondara.org>
- (0.88.1-10k)
- move zh_CN.GB2312 => zh_CN
- move zh_TW.Big5 => zh_TW

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (0.88.1-8k)
- rebuild against gettext 0.10.40.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.88.1-6k)
- rebuild against libpng 1.2.0.

* Tue Sep 25 2001 Kenta MURATA <muraken2@nifty.com>
- (0.88.1-4k)
- fix XIM implementations.
- fix Japanese po-file.
- use truetype font in Japanese.

* Thu Sep 13 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.88.1-2k)
- version 0.88.1

* Fri Jan 12 2001 WATABE Toyokazu <toy2@kondara.org>
- (0.86-7k)
- fix Source URL.
- use rpmmacros.

* Fri Nov 24 2000 Shigeru Yamazaki <s@kondara.org>
- (0.86-5k)
- Included patch dia-0.86-0-7.diff 

* Tue Aug 22 2000 Shingo Akagaki <dora@kondara.org>
- version 0.86

* Mon Apr 24 2000 Toyokazu Watabe <toy2@kondara.org>
- Update to 0.84

* Sun Mar 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group, BuildRoot, Summary, description )

* Thu Jan 20 2000 KUSUNOKI Masanori <masanori@linux.or.jp>
- Japanize patch added.

* Thu Jan 13 2000 KUSUNOKI Masanori <masanori@linux.or.jp>
- build against Kondara MNU/Linux

* Sun Sep 5 1999  James Henstridge <james@daa.com.au>
- added $(prefix)/share/dia to files list.
* Thu Apr 29 1999  Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>
- Made %setup quiet
- Enabled build from cvs
- Removed superfluous mkdir's
- using DESTDIR and install-strip
* Fri Aug 28 1998  Francis J. Lacoste <francis@Contre.COM> 
- First RPM release.
